/******************************************************************************
 *                                                                            *
 * File:   nbcall.c           Version  2.02            Date: 2010-04-03       *
 *                                                                            *
 * Copyright (C) 1998-2010 by Kostis Netzwerkberatung                         *
 * Talstr. 25, D-63322 Rdermark, Tel. +49 6074 881056                        *
 * kosta@kostis.net (Konstantinos Kostis), http://www.kostis.net/             *
 *                                                                            *
 ******************************************************************************
 *                                                                            *
 * History:                                                                   *
 *     2010-04-03: KK V2.02                                                   *
 *        - see netbios.h                                                     *
 *                                                                            *
 *****************************************************************************/

#include <dos.h>

#include "netbios.h"

/******************************************************************************

	Function:
		Make an MS-DOS NetBIOS call

	Parameters:
		PNCB		pncb		pointer to NCB structure

	Returns:
		NetBIOS return code

 *****************************************************************************/

UCHAR	Netbios
(
	PNCB		pncb
)
{
	union	REGS	regs ;
	struct	SREGS	sregs ;

	regs.x.bx = FP_OFF (pncb) ;
	sregs.es = FP_SEG (pncb) ;

	return (int86x (INT_NETBIOS_CALL, &regs, &regs, &sregs)) ;
}
